#set_autoconf_version 2.13

Summary:        Mozilla Thunderbird is a redesign of the Mozilla mail component.
Name:           thunderbird
Version:        0.6
Release:       	alt1
License:        MPL
Group:          Networking/Mail
URL:            http://www.mozilla.org/projects/thunderbird/

Source0:       	%name-source-%version.tar.bz2
Source1:        %name-icons.tar.bz2

Source2:        thunderbird.userContent.css
#Source3:        thunderbird.userChrome.css

Source4:        rpm.macros.%name
Source5:        %name-rebuild-databases.sh
Source6: 	.mozconfig-thunderbird
Source7:	%name-build-scripts.tar.bz2 

Patch0:		%name-configure_in.patch
Patch1:		%name-run-mozilla.patch
Patch2:		%name-altlinux-splash.patch

#BuildPreReq: autoconf = 2.13

# Automatically added by buildreq on Thu Nov 20 2003
BuildRequires: XFree86-devel-static XFree86-libs fontconfig-devel freetype2-devel gcc-c++ 
BuildRequires: glib2-devel libIDL-devel libatk-devel libexpat libgtk+2-devel libjpeg-devel 
BuildRequires: libpango-devel libpng-devel libstdc++-devel pkgconfig unzip zip zlib-devel
BuildRequires: libmng-devel

Requires:	gtk+2 >= 2.2.0 freetype2

%define fullname		%name-%version
%define tbird_prefix  	        %_libdir/%name
%define tbird_defaultsdir	%tbird_prefix/defaults 
%define tbird_chromedir	        %tbird_prefix/chrome

%description
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package devel
Requires: %name = %version-%release
Summary: Mozilla Thunderbird development files
Group: Development/Other

%description devel
Mozilla Thunderbird development files

%prep
%setup -q -nmozilla
%setup -q -nmozilla -T -D -a1
%setup -q -nmozilla -T -D -a7
chmod a+rX .

%patch0 -p1
%patch1 -p1
%patch2 -p1

# change .mozconfig
%__cp -f %SOURCE6 ./.mozconfig

%build
%add_findprov_lib_path %_libdir/%fullname
export MOZ_THUNDERBIRD=1
export LIBIDL_CONFIG=/usr/bin/libIDL-config-2

%configure \
    --prefix=%_prefix \
    --disable-tests \
    --disable-debug \
    --disable-logging \
    --disable-installer \
    --disable-mathml \
    --disable-oji \
    --disable-activex \
    --disable-activex-scripting \
    --disable-disk-cache \
    --disable-necko-disk-cache \
    --disable-profilesharing \
    --disable-xprint \
    --disable-dtd-debug \
    --disable-freetype2 \
    --without-system-nspr \
    --with-system-jpeg \
    --with-system-png \
    --with-system-mng \
    --with-system-zlib \
    --with-pthreads \
    --enable-default-toolkit=gtk2 \
    --enable-official-branding \
    --enable-image-decoders=default,-xbm \
    --enable-extensions=wallet,spellcheck,xmlextras \
    --enable-necko-protocols=http,file,jar,viewsource,res,data \
    --enable-crypto \
    --enable-strip \
    --enable-optimize="-O3" \
    --enable-reorder \
    --enable-elf-dynstr-gc \
    --enable-xft \
    --with-user-appdir=.thunderbird

%make_build \
    prefix=%_prefix \
    idldir=%_datadir/idl/%name \
    includedir=%_includedir/%name \
    mozappdir=%_libdir/%fullname \
    MOZ_THUNDERBIRD=1 

%install
%makeinstall \
    idldir=%buildroot/%_datadir/idl/%name \
    includedir=%buildroot/%_includedir/%name \
    mozappdir=%buildroot/%_libdir/%fullname \
    MOZ_THUNDERBIRD=1 

# make package link 
%__ln_s %fullname %buildroot%_libdir/%name

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="soundwrapper %_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="Networking/Mail" \
title="Mozilla Thunderbird" \
longtitle="Mozilla Thunderbird is a redesign of the Mozilla mail component."
EOF

# icons
%__install -D -m 644 thunderbird-48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 thunderbird-32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 thunderbird-16.png %buildroot/%_miconsdir/%name.png

# copy default *.css
%__install -D -m 644 %SOURCE2   %buildroot/%tbird_defaultsdir/profile/chrome/userContent.css
%__install -D -m 644 %SOURCE2   %buildroot/%tbird_defaultsdir/profile/US/chrome/userContent.css

# RPM MACRO
%__mkdir_p %buildroot%_sysconfdir/rpm/macros.d
%__cp %SOURCE4 %buildroot%_sysconfdir/rpm/macros.d/%name

%__mkdir_p %buildroot/%_libdir/%fullname
%__install -D -m 755 %SOURCE5 %buildroot/%_libdir/%fullname/rebuild-databases.sh

# make backup installed-chrome.txt to make possible addons installion
%__cp -p %buildroot/%_libdir/%fullname/chrome/installed-chrome.txt \
	    %buildroot/%_libdir/%fullname/chrome/installed-chrome-%name.txt

# Add language to list.
echo 'en-US' > %buildroot/%_libdir/%fullname/chrome/language

# We must rename some file to remove comflicts between Mozilla, Firefox and Thunderbird pckages. 
for f in $(find %buildroot/%_datadir/aclocal -type f); do
%__mv -f $f %buildroot/%_datadir/aclocal/%name-${f##*/} 
done

# make devel source packege to build extensions
%__mkdir_p %buildroot/%_usrsrc/%name
find %buildroot/%_libdir/%name      \
     %buildroot/%_includedir/%name  \
     %buildroot/%_datadir/idl/%name \
-follow -xtype f |sed 's,^%buildroot/\(.*\)$,\1,' > ./%name-content-index

%make clean
%__mkdir_p %buildroot/%_usrsrc/%name
%__subst 's%/.*/mozilla\(/\|\$\)%/ZZZ\1%g' ./config/autoconf.mk
%__tar -jcf %buildroot/%_usrsrc/%name/sources.tar.bz2 \
    ./makemake.sh ./build_dist.sh find_install.sh     \
    ./%name-content-index                             \
    ./build		                              \
    ./config                                          \
    ./mail                                            \
    ./mailnews                                        \
    ./.mozconfig                                      \
    ./mozilla-config.h

%post 
%post_ldconfig
%update_menus
umask 022 
%__cat %tbird_chromedir/installed-chrome-*.txt > %tbird_chromedir/installed-chrome.txt 
%tbird_prefix/rebuild-databases.sh

%postun
%postun_ldconfig
%clean_menus

%files
%doc README.txt LEGAL LICENSE
%_bindir/%name
%_libdir/%name
%_libdir/%fullname
%defattr(0644,root,root,0755)
%_menudir/*
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png

%files devel
%_sysconfdir/rpm/macros.d/%name
%_bindir/%name-config
%dir %_includedir/%name
%_includedir/%name/*
%_datadir/aclocal/*
%dir %_datadir/idl/%name
%_datadir/idl/%name/*
%_libdir/pkgconfig/*
%dir %_usrsrc/%name
%_usrsrc/%name/*

%changelog
* Fri May 07 2004 Alexey Gladkov <legion@altlinux.ru> 0.6-alt1
- New version;
- Splash screen added;
- Default userContent.css added;
- Offline extension added by default;
- Confilct between mozilla-like devel packages was removed.

* Wed Feb 11 2004 Alexey Gladkov <legion@altlinux.ru> 0.5-alt1
- New version.

* Tue Jan 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.4-alt4
- Spec changes.

* Fri Dec 26 2003 Alexey Gladkov <legion@altlinux.ru> 0.4-alt3
- first build for ALT Linux.
- rpm macro added.
- new scheme loading extensions added (thx force@)
- Spec modifications.
